< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package ct
  Definition Classes
    hmrc
-  package computations
  Definition Classes
    ct
-  package Validators
  Definition Classes
    computations
-  package calculations
  Definition Classes
    computations
-  package capitalAllowanceAndSBA
  Definition Classes
    computations
-  package formats
  Definition Classes
    computations
-  package lowEmissionCars
  Definition Classes
    computations
-  package nir
  Definition Classes
    computations
-  package retriever
  Definition Classes
    computations
- AP1
- AP2
- AP3
- Building
- CP1
- CP100
- CP101
- CP102
- CP103
- CP104
- CP106
- CP107
- CP108
- CP111
- CP113
- CP114
- CP115
- CP116
- CP117
- CP118
- CP14
- CP15
- CP16
- CP17
- CP18
- CP186
- CP19
- CP2
- CP20
- CP21
- CP22
- CP23
- CP234
- CP235
- CP237
- CP238
- CP238a
- CP239
- CP24
- CP240
- CP245
- CP246
- CP247
- CP248
- CP249
- CP25
- CP251
- CP252
- CP253
- CP256
- CP257
- CP258
- CP259
- CP26
- CP263
- CP264
- CP265
- CP266
- CP27
- CP273
- CP274
- CP278
- CP279
- CP28
- CP281
- CP281a
- CP281b
- CP281c
- CP281d
- CP282
- CP283
- CP283a
- CP283b
- CP283c
- CP283d
- CP284
- CP285
- CP286
- CP286a
- CP286b
- CP287
- CP288
- CP288a
- CP288b
- CP289
- CP29
- CP290
- CP290a
- CP290b
- CP290c
- CP290d
- CP291
- CP292
- CP293
- CP294
- CP295
- CP296
- CP297
- CP298
- CP30
- CP301
- CP3010
- CP302
- CP3020
- CP303
- CP3030
- CP305
- CP31
- CP32
- CP33
- CP34
- CP35
- CP36
- CP37
- CP38
- CP39
- CP40
- CP43
- CP44
- CP45
- CP46
- CP47
- CP48
- CP49
- CP50
- CP500
- CP501
- CP502
- CP503
- CP504
- CP505
- CP506
- CP507
- CP508
- CP509
- CP51
- CP510
- CP511
- CP512
- CP513
- CP514
- CP515
- CP52
- CP53
- CP54
- CP55
- CP56
- CP57
- CP58
- CP59
- CP6
- CP666
- CP667
- CP668
- CP669
- CP670
- CP671
- CP672
- CP673
- CP674
- CP7
- CP78
- CP79
- CP8
- CP80
- CP81
- CP81Input
- CP82
- CP83
- CP84
- CP85
- CP86
- CP87
- CP87Input
- CP88
- CP89
- CP90
- CP91
- CP91Input
- CP92
- CP93
- CP95
- CP96
- CP98
- CP980
- CP981
- CP982
- CP983
- CP984
- CP986
- CP99
- CP997
- CP997Abstract
- CP997NI
- CP997c
- CP997d
- CP997e
- CP998
- CP999
- CPAux1
- CPAux2
- CPAux3
- CPQ10
- CPQ1000
- CPQ11
- CPQ117
- CPQ17
- CPQ18
- CPQ19
- CPQ20
- CPQ21
- CPQ321
- CPQ7
- CPQ8
- HmrcAccountingPeriod
- SBA01
- SBAHelper

o

uk.gov.hmrc.ct.computations

# CP90 

###
Companion class CP90

#### object CP90 extends Calculated[CP90, ComputationsBoxRetriever] with MachineryAndPlantCalculator with Serializable

Linear Supertypes
Serializable, Serializable, MachineryAndPlantCalculator, CtTypeConverters, Calculated[CP90, ComputationsBoxRetriever], AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CP90
2. Serializable
3. Serializable
4. MachineryAndPlantCalculator
5. CtTypeConverters
6. Calculated
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def calculate(retriever: ComputationsBoxRetriever): CP90
   Definition Classes
     CP90 → Calculated
6.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... ) @native()
7.  def computeBalanceAllowance(cpq8: CPQ8, cp78: CP78, cp84: CP84, cp666: CP666, cp673: CP673, cp674: CP674, cpAux1: CPAux1, cpAux2: CPAux2, cpAux3: CPAux3): CP90
   Definition Classes
     MachineryAndPlantCalculator
8.  def computeBalancingCharge(cpq8: CPQ8, cp78: CP78, cp82: CP82, cp84: CP84, cp666: CP666, cp667: CP667, cp672: CP672, cp673: CP673, cp674: CP674, cpAux1: CPAux1, cpAux2: CPAux2, cpAux3: CPAux3, cato20: CATO20): CP91
   Definition Classes
     MachineryAndPlantCalculator
9.  def computeTotalAllowancesClaimed(cpq8: CPQ8, cp87: CP87, cp88: CP88, cp89: CP89, cp90: CP90 = CP90(value = None)): CP186
   Definition Classes
     MachineryAndPlantCalculator
10.  implicit def convert(catoOptionalBigDecimal: CtOptionalBigDecimal): Option[BigDecimal]
    Definition Classes
      CtTypeConverters
11.  implicit def convert(catoInt: CtOptionalInteger): Int
    Definition Classes
      CtTypeConverters
12.  implicit def convert(catoInt: CtInteger): Int
    Definition Classes
      CtTypeConverters
13.  implicit def convert(catoBoolean: CtOptionalBoolean): Boolean
    Definition Classes
      CtTypeConverters
14.  implicit def convert(catoBoolean: CtBoolean): Boolean
    Definition Classes
      CtTypeConverters
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
17.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
18.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
20.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
21.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
22.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
24.  def sumOfCP78AndCP666(cp78: CP78, cp666: CP666): Set[CtValidation]
    Definition Classes
      MachineryAndPlantCalculator
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toString(): String
    Definition Classes
      AnyRef → Any
27.  def unclaimedAIAFirstYearAllowance(cp81: CP81, cp83: CP83, cp87: CP87, cp88: CP88, cpAux1: CPAux1): CATO20
    Definition Classes
      MachineryAndPlantCalculator
28.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... ) @native()
31.  def writtenDownValue(cpq8: CPQ8, cp78: CP78, cp82: CP82, cp89: CP89, cp91: CP91, cp672: CP672, cato20: CATO20, cpAux2: CPAux2): CP92
    Definition Classes
      MachineryAndPlantCalculator

### Inherited from Serializable

### Inherited from MachineryAndPlantCalculator

### Inherited from CtTypeConverters

### Inherited from Calculated[CP90, ComputationsBoxRetriever]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped